{ lib, config, pkgs, ... }:
with lib;
let cfg = config.voidconf.fcitx5;
in {
  options.voidconf.fcitx5 = {
    enable = mkEnableOption "Enables fcitx5 input method engine and mozc en anthy methods";
  };
  config = mkIf cfg.enable {
    i18n = {
      inputMethod = {
        enabled = "fcitx5";
        fcitx5 = {
          addons = with pkgs; [
            fcitx5-mozc
            fcitx5-anthy
          ];
        };
      };
    };
  };
}
